Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Contacts

Delete Contact Identity by Locator

DELETE
/v1/contacts/{id}/identities/by

Deletes the specified contact Identity by Locator.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the resource.

Formatuuid

Query Parameters

channel_type*"email" | "facebook" | "instagram" | "postal" | "sms" | "whatsapp"

Filters resources by channel type.

type*"email_address" | "phone_number" | "user_id" | "postal_address"

Type of the resource.

value*string

Filters resources by value.

Length1 <= length

Response Body

curl -X DELETE "https://api.getmateo.com/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/identities/by?channel_type=email&type=email_address&value=string"
Empty